// ----------------------------------------

boolean fSaveVideo = false;       // if true the frames are saved ..
int secToSave = 60*10 + 40;              // number of seconds of the video
String saveDir = "E:/tmp/video";  // in this directory (use an SSD or RAM disk)
int numsaved = 0;                 // number of frames saved
int frame0;
int numsaved0;
int _oldsecs = -1;

// ----------------------------------------

void pushSavedCount() {
  numsaved0 = numsaved;
}


// ----------------------------------------

void popSavedCount() {
  numsaved = numsaved0;
}


// ----------------------------------------

void saveToImage() {
  if ( ! fSaveVideo ) return;
  int z = frameCount - frame0;
  int secs = round( z / FPS);
  if ( secs != _oldsecs ) { 
    _oldsecs = secs;
    int mins = secs / 60;
    secs = secs % 60;
    println( "Time: " + mins + ":" + nf( secs, 2 ) + " recorded secs:" + secToMinSec( round( (numsaved+1) /  FPS ))  );
  }
  int tf = secToSave * FPS;
  if ( fSaveVideo && numsaved <= tf ) {
    saveFrame(  saveDir + "/vid" + nf(numsaved, 5) + ".tga" ); 
    numsaved++;  
    if ( numsaved == tf ) {
        fSaveVideo = false;
        println( "stop video" );
    }
  }
}
